let
  mozilla = import (builtins.fetchTarball https://github.com/mozilla/nixpkgs-mozilla/archive/master.tar.gz);
  pkgs = import <nixpkgs> { overlays = [ mozilla ]; };
  rustChannel = pkgs.latest.rustChannels.stable;
in

with pkgs;

mkShell {
  buildInputs = [
    rustChannel.rust
  ];

  shellHook = ''
    export RUST_SRC_PATH="${rustChannel.rust-src}/lib/rustlib/src/rust/library"
  '';
}
